---

- name: Deploy server configuration
  template: src=odoo-server.conf.j2 dest={{ odoo_root_dir }}/etc/odoo-server.conf group={{ odoo_user }} mode=640
  notify: restart odoo-server
  tags: odoo

- when: odoo_install_mode != 'none'
  block:
    - name: Install odoo
      command: "{{ odoo_root_dir }}/venv/bin/python3 {{ odoo_root_dir }}/app/setup.py install"
      args:
        chdir: "{{ odoo_root_dir }}/app/"

    - name: Initialize the DB and update modules
      command: "{{ odoo_root_dir }}/venv/bin/python3 {{ odoo_root_dir }}/app/setup/odoo -c {{ odoo_root_dir }}/etc/odoo-server.conf -d {{ odoo_db_name }} -i base -u all --stop-after-init --syslog"
      become_user: "{{ odoo_user }}"

    - name: Restore SELinux context
      command: restorecon -R {{ odoo_root_dir }}

  tags: odoo

- name: Install nginx configuration
  template: src=nginx.conf.j2 dest=/etc/nginx/ansible_conf.d/33-odoo.conf
  notify: reload nginx
  tags: odoo,web
